package studycave.studycaverestservice.model.flashcard;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface FlashcardRepository extends JpaRepository<Flashcard, Long> {
    List<Flashcard> findAll();
    void deleteById(Long id);
    void delete(Flashcard flashcard);
    Optional<Flashcard> findById(Long id);
}
